import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { MatSidenavModule } from '@angular/material/sidenav';

import { AppChatLayoutModule } from '@app/layouts/chat/chat.layout.module';

import { AppMessengerRoutingPageModule } from './messenger-routing.page.module';

import { COMPONENTS } from './components';

@NgModule({
  imports: [
    CommonModule,
    MatSidenavModule,
    AppChatLayoutModule,
    AppMessengerRoutingPageModule
  ],
  declarations: [...COMPONENTS],
  entryComponents: []
})
export class AppMessengerPageModule {}
